<?php
/**
 * @file
 * Contains \Drupal\GeneratorUI\Form\GenerePermissionsForm.
 *
 */

namespace Drupal\generator_ui\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\generator_ui\Controller\GeneratorController;

class GeneratorPermissions extends Generator {

  /**
   * Returns a unique string identifying the form.
   *
   * @return string
   *   The unique string identifying the form.
   */
  public function getFormId() {
    return 'permissions';

  }

  /**
   * Form constructor.
   *
   * @param array $form
   *   An associative array containing the structure of the form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The current state of the form.
   *
   * @return array
   *   The form structure.
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['into'] = array(
      '#markup' => t('<h2>' . 'Please fill the blanks to create your  module.permissions.yml ' . '</h2>'),
      "#weight" => -2
    );
    $form['twig_file'] = array(
      "#type" => 'hidden',
      "#value" => array('generator.permissions.yml.twig'),
    );
    $form['key'] = array(
      '#type' => 'textfield',
      '#title' => t('Permission name'),
      '#default_value' => t('Permission name'),
      '#required' => TRUE,
    );
    $form['title'] = array(
      '#type' => 'textfield',
      '#title' => t('Permission\'s title'),
      '#default_value' => t('Title permission'),
      '#required' => TRUE,
    );
    $form['description'] = array(
      '#type' => 'textfield',
      '#title' => t('Permission\'s description'),
      '#default_value' => t('Description  permission'),
    );
    $form['access'] = array(
      '#type' => 'select',
      '#title' => t(' restrict access'),
      "#description" => t(' boolean indicates to Drupal core whether or not to display a warning message on the Permissions page,and based on the Drupal Security team\'s policy,
            will not produce a security advisory for any permission that has restrict access set to TRUE. Ex.,«administrer filtres» '),
      '#options' => array(
        'TRUE' => 'True',
        'FALSE' => 'False',

      ),
    );
    $form = parent::buildForm($form, $form_state);
    $form['ajx'] = array(
      '#type' => 'textarea',
      '#resizable' => TRUE,
      '#rows' => 15,
      '#attributes' => array('onclick' => 'this.select()'),
      '#cols' => 10,
      '#prefix' => '<div id="ajax_div">',
      '#suffix'=>'</div>'
    );
    $form['ajx']['#title'] = t('Permissions path : module/module.permissions.yml');
    $form['ajx']['#suffix'] = '</div>';
    return $form;
  }
  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    return parent::validateForm($form, $form_state);
  }
  /**
   * Form submission handler.
   *
   * @param array $form
   *   An associative array containing the structure of the form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The current state of the form.
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    return parent::submitForm($form, $form_state);

  }

}